## org.gnu.glib
Class Value

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.glib.Value

public class Value
extends Boxed

Value is a polymorphic type that can hold values of any other type. This is used internally and should not be exposed outside of the library.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Value(Handle aHandle)` Construct a new Value object using a handle to a native object.
`Value(Type type)` Construct a new Value from a given org.gnu.glib.Type.

Method Summary
`Value` `copy()` Create a copy of this Value object.
`protected static Handle` `g_value_copy(Handle srcValue)`
`protected static boolean` `g_value_get_boolean(Handle value)`
`protected static byte` `g_value_get_char(Handle value)`
`protected static double` `g_value_get_double(Handle value)`
`protected static double` `g_value_get_float(Handle value)`
`protected static int` `g_value_get_int(Handle value)`
`protected static Handle` `g_value_get_java_object(Handle value)`
`protected static long` `g_value_get_long(Handle value)`
`protected static Handle` `g_value_get_pixbuf(Handle value)`
`protected static Handle` `g_value_get_pointer(Handle value)`
`protected static java.lang.String` `g_value_get_string(Handle value)`
`protected static Handle` `g_value_init(int type)`
`protected static Handle` `g_value_reset(Handle value)`
`protected static void` `g_value_set_boolean(Handle value, boolean vBoolean)`
`protected static void` `g_value_set_char(Handle value, byte vChar)`
`protected static void` `g_value_set_double(Handle value, double vDouble)`
`protected static void` `g_value_set_float(Handle value, double vFloat)`
`protected static void` `g_value_set_int(Handle value, int vInt)`
`protected static void` `g_value_set_java_object(Handle value, java.lang.Object obj)`
`protected static void` `g_value_set_long(Handle value, long vLong)`
`protected static void` `g_value_set_pixbuf(Handle value, Handle obj)`
`protected static void` `g_value_set_pointer(Handle value, Handle ptr)`
`protected static void` `g_value_set_string(Handle value, java.lang.String vString)`
`protected static int` `g_value_type(Handle value)`
`protected static void` `g_value_unset(Handle value)`
`boolean` `getBoolean()` Used internally by Java-Gnome
`double` `getDouble()` Used internally by Java-Gnome
`double` `getFloat()` Used internally by Java-Gnome
`int` `getInt()` Used internally by Java-Gnome
`java.lang.Object` `getJavaObject()` Get the data held by this Value object.
`long` `getLong()` Used internally by Java-Gnome
`Pixbuf` `getPixbuf()` Used internally
`java.lang.String` `getString()` Used internally by Java-Gnome
`void` `setBoolean(boolean value)` Used internally by Java-Gnome to set a boolean value
`void` `setDouble(double value)` Used internally by Java-Gnome to set a double value
`void` `setFloat(float value)` Used internally by Java-Gnome to set a float value
`void` `setInteger(int value)` Used internally by Java-Gnome to set an integer value
`void` `setJavaObject(java.lang.Object obj)` Set the data held by this Value object with the given Object.
`void` `setLong(long value)` Used internally by Java-Gnome to set a long value
`void` `setPixbuf(Pixbuf obj)` Used internally by Java-Gnome
`void` `setString(java.lang.String value)` Used internally by Java-Gnome to set a string value

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Value

    public Value(Type type)

  Construct a new Value from a given org.gnu.glib.Type.

### Value

    public Value(Handle aHandle)

  Construct a new Value object using a handle to a native object.

Parameters:
  `aHandle` - The handle

Method Detail

### copy

    public Value copy()

  Create a copy of this Value object.

  Returns:
    An object of type Value that contains the same data as the current object.

### setString

    public void setString(java.lang.String value)

  Used internally by Java-Gnome to set a string value

### getString

    public java.lang.String getString()

  Used internally by Java-Gnome

### setBoolean

    public void setBoolean(boolean value)

  Used internally by Java-Gnome to set a boolean value

### getBoolean

    public boolean getBoolean()

  Used internally by Java-Gnome

### setInteger

    public void setInteger(int value)

  Used internally by Java-Gnome to set an integer value

### getInt

    public int getInt()

  Used internally by Java-Gnome

### setLong

    public void setLong(long value)

  Used internally by Java-Gnome to set a long value

### getLong

    public long getLong()

  Used internally by Java-Gnome

### setFloat

    public void setFloat(float value)

  Used internally by Java-Gnome to set a float value

### getFloat

    public double getFloat()

  Used internally by Java-Gnome

### setDouble

    public void setDouble(double value)

  Used internally by Java-Gnome to set a double value

### getDouble

    public double getDouble()

  Used internally by Java-Gnome

### setPixbuf

    public void setPixbuf(Pixbuf obj)

  Used internally by Java-Gnome

### getPixbuf

    public Pixbuf getPixbuf()

  Used internally

### setJavaObject

    public void setJavaObject(java.lang.Object obj)

  Set the data held by this Value object with the given Object. Objects that inherit from either `GObject` or `Boxed` will be set directly in the C GValue structure. Other "non-Glib" objects will be kept locally in the Java object.

  NOTE: You probably don't want to use this directly. Prefer using a convenience method such as: `GObject.setJavaObjectProperty(java.lang.String, java.lang.Object)`.

  Parameters:
    `obj` - The object to set as the data value for this Value instance.

### getJavaObject

    public java.lang.Object getJavaObject()

  Get the data held by this Value object.

  NOTE: You probably don't want to use this directly. Prefer using a convenience method such as: `GObject.getJavaObjectProperty(java.lang.String)`.

  Returns:
    The data value held by this Value instance. If the data is held in the C GValue structure, the returned object is an instance of `Handle`. If the data is held locally in the Java object, that is returned, otherwise `null` is returned.

### g_value_init

    protected static final Handle g_value_init(int type)

### g_value_type

    protected static final int g_value_type(Handle value)

### g_value_copy

    protected static final Handle g_value_copy(Handle srcValue)

### g_value_reset

    protected static final Handle g_value_reset(Handle value)

### g_value_unset

    protected static final void g_value_unset(Handle value)

### g_value_set_char

    protected static final void g_value_set_char(Handle value,
                                                 byte vChar)

### g_value_get_char

    protected static final byte g_value_get_char(Handle value)

### g_value_set_boolean

    protected static final void g_value_set_boolean(Handle value,
                                                    boolean vBoolean)

### g_value_get_boolean

    protected static final boolean g_value_get_boolean(Handle value)

### g_value_set_int

    protected static final void g_value_set_int(Handle value,
                                                int vInt)

### g_value_get_int

    protected static final int g_value_get_int(Handle value)

### g_value_set_long

    protected static final void g_value_set_long(Handle value,
                                                 long vLong)

### g_value_get_long

    protected static final long g_value_get_long(Handle value)

### g_value_set_float

    protected static final void g_value_set_float(Handle value,
                                                  double vFloat)

### g_value_get_float

    protected static final double g_value_get_float(Handle value)

### g_value_set_double

    protected static final void g_value_set_double(Handle value,
                                                   double vDouble)

### g_value_get_double

    protected static final double g_value_get_double(Handle value)

### g_value_set_string

    protected static final void g_value_set_string(Handle value,
                                                   java.lang.String vString)

### g_value_get_string

    protected static final java.lang.String g_value_get_string(Handle value)

### g_value_set_pixbuf

    protected static final void g_value_set_pixbuf(Handle value,
                                                   Handle obj)

### g_value_get_pixbuf

    protected static final Handle g_value_get_pixbuf(Handle value)

### g_value_set_java_object

    protected static final void g_value_set_java_object(Handle value,
                                                        java.lang.Object obj)

### g_value_get_java_object

    protected static final Handle g_value_get_java_object(Handle value)

### g_value_set_pointer

    protected static final void g_value_set_pointer(Handle value,
                                                    Handle ptr)

### g_value_get_pointer

    protected static final Handle g_value_get_pointer(Handle value)